Billing

Initialize fiat payment with split (org subaccount + platform fee)

Creates a payment link. Customer pays; org receives (amount - 7% - $0.50) to their subaccount; platform fee (7% + $0.50, minus processing fee) stays on main account or goes to configured platform subaccounts. Requires payment processing enabled for org.

AuthBearer (JWT)
GroupBilling
Rate limitSee Rate Limits
POST/api/orgs/{orgId}/payment-processing/initialize-payment

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const billing = new BillingApi(configuration);
import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const billing = new BillingApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await billing.initializePayment(
  "org_y9u3qiYH16",
  {
    amount: 256.05,
    currency: "SZL",
    projectId: "proj_PZwxAbCZZO7P",
    customer: "matrix quantify",
    metadata: "hard drive transmit"
  }
);
const { data: result } = await billing.initializePayment(
  "org_y9u3qiYH16",
  {
    amount: 256.05,
    currency: "SZL",
    projectId: "proj_PZwxAbCZZO7P",
    customer: "matrix quantify",
    metadata: "hard drive transmit"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
orgIdstringYes

Request Body

json
{
  "amount": 69.62,
  "currency": "NPR",
  "projectId": "proj_qh5hFHNT70YZ",
  "customer": {
    "email": "filomena_weber@northwind.dev",
    "name": "Dorothy McGlynn"
  },
  "metadata": {}
}
{
  "amount": 69.62,
  "currency": "NPR",
  "projectId": "proj_qh5hFHNT70YZ",
  "customer": {
    "email": "filomena_weber@northwind.dev",
    "name": "Dorothy McGlynn"
  },
  "metadata": {}
}

Responses

200Payment link and fee breakdown
json
{
  "success": true,
  "data": {
    "link": "https://lucky-cake.com/",
    "txRef": "circuit input",
    "providerRef": "program transmit",
    "amount": 637.81,
    "currency": "SSP",
    "orgReceives": 780.14,
    "platformPercent": 71.55,
    "platformFixed": 275.7
  }
}
{
  "success": true,
  "data": {
    "link": "https://lucky-cake.com/",
    "txRef": "circuit input",
    "providerRef": "program transmit",
    "amount": 637.81,
    "currency": "SSP",
    "orgReceives": 780.14,
    "platformPercent": 71.55,
    "platformFixed": 275.7
  }
}
400
401
500

Errors

CodeMeaning
400
401
500
Edit this page on GitHub